<?php

namespace App\Http\Controllers;

use App\Models\CareMonth;
use App\Models\CareMonthEntry;
use App\Models\Client;
use App\Models\Pro;
use App\Models\Section;
use App\Models\SectionTemplate;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;

class GuestController extends Controller
{
    public function section(Request $request, $guestAccessCode )
    {
        
        $section = Section::where('guest_access_code', $guestAccessCode)->first();
        abort_if(!$section, 404, 'Invalid access code');
        abort_if($section->guest_access_level == 'NONE', 401, 'Invalid access code');

        $patient = $section->note->client;
        
       return view('app.guest.section', compact('patient','section', 'guestAccessCode'));
    }

}
